LibreOffice: UnoControlTabPageModel Service Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
UnoControlTabPageModel Service Referencepublished

specifies the standard model of a XTabPageModel. More...

`import <UnoControlTabPageModel.idl;`

Inheritance diagram for UnoControlTabPageModel:

## Exported Interfaces
interface | XTabPageModel

## Public Attributes
string | Title
| specifies the text that is displayed in the caption bar of the dialog.
string | HelpText
| specifies the help text of the dialog.
string | HelpURL
| specifies the help URL of the dialog.
boolean | HScroll
| specifies that a horizontal scrollbar should be added to the dialog
boolean | VScroll
| specifies that a vertical scrollbar should be added to the dialog
long | ScrollLeft
| specifies the horizontal position of the scrolled dialog content
long | ScrollTop
| specifies the vertical position of the scrolled dialog content
long | ScrollWidth
| specifies the total width of the scrollable dialog content
long | ScrollHeight
| specifies the total height of the scrollable dialog content
Public Attributes inherited from XTabPageModel
short | TabPageID
| ID for tab page.
boolean | Enabled
| determines whether a tab page is enabled or disabled.
string | Title
| specifies the text that is displayed in the tab bar of the tab page.
string | ImageURL
| specifies a URL that references a graphic that should be displayed in the tab bar.
string | ToolTip
| specifies a tooltip text that should be displayed in the tab bar.

## Detailed Description

specifies the standard model of a XTabPageModel.

Since
  OOo 3.4

## Exported Interfaces

## ◆ XTabPageModel

interface XTabPageModel

## Member Data Documentation

## ◆ HelpText

string HelpText
| optionalproperty

specifies the help text of the dialog.

## ◆ HelpURL

string HelpURL
| optionalproperty

specifies the help URL of the dialog.

## ◆ HScroll

boolean HScroll
| optionalproperty

specifies that a horizontal scrollbar should be added to the dialog

Since
  LibreOffice 7.1

## ◆ ScrollHeight

long ScrollHeight
| optionalproperty

specifies the total height of the scrollable dialog content

Since
  LibreOffice 7.1

## ◆ ScrollLeft

long ScrollLeft
| optionalproperty

specifies the horizontal position of the scrolled dialog content

Since
  LibreOffice 7.1

## ◆ ScrollTop

long ScrollTop
| optionalproperty

specifies the vertical position of the scrolled dialog content

Since
  LibreOffice 7.1

## ◆ ScrollWidth

long ScrollWidth
| optionalproperty

specifies the total width of the scrollable dialog content

Since
  LibreOffice 7.1

## ◆ Title

string Title
| optionalproperty

specifies the text that is displayed in the caption bar of the dialog.

## ◆ VScroll

boolean VScroll
| optionalproperty

specifies that a vertical scrollbar should be added to the dialog

Since
  LibreOffice 7.1

The documentation for this service was generated from the following file:

- com/sun/star/awt/tab/UnoControlTabPageModel.idl